Bug 28563 - Add AllowHoldItemTypeSelection to Hea
Summary: Add AllowHoldItemTypeSelection to Hea
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-14 15:25 UTC by Tomás Cohen Arazi
Modified: 2021-11-24 23:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This enhancement adds the AllowHoldItemTypeSelection system preference to the list of system preferences usage data that will be shared with Hea.
Version(s) released in:
21.11.00


Attachments
Bug 28563: Add AllowHoldItemTypeSelection to HEA (852 bytes, patch)
2021-06-14 15:27 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 28563: Add AllowHoldItemTypeSelection to HEA (901 bytes, patch)
2021-06-14 17:14 UTC, David Nind
Details | Diff | Splinter Review
Bug 28563: Add AllowHoldItemTypeSelection to HEA (901 bytes, patch)
2021-06-14 19:26 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28267: (QA follow-up) Fix unit test (898 bytes, patch)
2021-06-14 19:26 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28563: Add AllowHoldItemTypeSelection to HEA (959 bytes, patch)
2021-06-14 19:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28267: (QA follow-up) Fix unit test (956 bytes, patch)
2021-06-14 19:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28563: (QA follow-up) Fix unit test (977 bytes, patch)
2021-06-21 12:06 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2021-06-14 15:25:40 UTC
This syspref is missing.
Comment 1 Tomás Cohen Arazi 2021-06-14 15:27:53 UTC
Created attachment 121916 [details] [review]
Bug 28563: Add AllowHoldItemTypeSelection to HEA

This patch adds the mentioned syspref to the sysprefs list, shared for
statistical purposes.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 David Nind 2021-06-14 17:14:33 UTC
Created attachment 121919 [details] [review]
Bug 28563: Add AllowHoldItemTypeSelection to HEA

This patch adds the mentioned syspref to the sysprefs list, shared for
statistical purposes.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2021-06-14 17:22:43 UTC
Testing notes - was not sure of the best way to test this:

- Checked that AllowHoldItemTypeSelection is a valid system preference
- Checked the diff for the patch to make sure system preference name was correctly added

If sharing statistics is enabled, then, like any other other system preference, its usage will be shared on Hea.
Comment 4 Katrin Fischer 2021-06-14 19:26:34 UTC
Created attachment 121930 [details] [review]
Bug 28563: Add AllowHoldItemTypeSelection to HEA

This patch adds the mentioned syspref to the sysprefs list, shared for
statistical purposes.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Katrin Fischer 2021-06-14 19:26:38 UTC
Created attachment 121931 [details] [review]
Bug 28267: (QA follow-up) Fix unit test

Add the new preference to the UsageStats.t

To test:
- Run t/db_dependent/UsageStats.t
- Watch it pass :)
Comment 6 Katrin Fischer 2021-06-14 19:34:15 UTC
Created attachment 121933 [details] [review]
Bug 28563: Add AllowHoldItemTypeSelection to HEA

This patch adds the mentioned syspref to the sysprefs list, shared for
statistical purposes.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2021-06-14 19:34:19 UTC
Created attachment 121934 [details] [review]
Bug 28267: (QA follow-up) Fix unit test

Add the new preference to the UsageStats.t

To test:
- Run t/db_dependent/UsageStats.t
- Watch it pass :)

https://bugs.koha-community.org/show_bug.cgi?id=28563

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Tomás Cohen Arazi 2021-06-14 19:45:33 UTC
(In reply to Katrin Fischer from comment #7)
> Created attachment 121934 [details] [review] [review]
> Bug 28267: (QA follow-up) Fix unit test
> 
> Add the new preference to the UsageStats.t
> 
> To test:
> - Run t/db_dependent/UsageStats.t
> - Watch it pass :)
> 
> https://bugs.koha-community.org/show_bug.cgi?id=28563
> 
> Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Thanks, Katrina. Good catch :-D
Comment 9 Jonathan Druart 2021-06-21 12:04:27 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 10 Jonathan Druart 2021-06-21 12:06:05 UTC
Created attachment 122226 [details] [review]
Bug 28563: (QA follow-up) Fix unit test

Add the new preference to the UsageStats.t

To test:
- Run t/db_dependent/UsageStats.t
- Watch it pass :)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Jonathan Druart 2021-06-21 12:06:27 UTC
Fixed bug number on second patch.
Comment 12 Katrin Fischer 2021-06-21 22:16:48 UTC
(In reply to Jonathan Druart from comment #11)
> Fixed bug number on second patch.

Argh, thank you!
Comment 13 Kyle M Hall 2021-07-09 12:00:13 UTC
Enhancement not backported to 21.05.x